# Starstorm 2 Unofficial

Unofficial update to the Pre-SotV version of Starstorm 2. **[Get the official version here!](https://thunderstore.io/package/TeamMoonstorm/Starstorm2/)**

Executioner and Nemesis Commando are based on the version from the pre-SotV build with some tweaks, while Cyborg/Chirr/Pyro/Nucleator have been re-coded from the ground up due to the old code being unworkable.

I've gotten permission to work on this project and host it here, and permission to upload it to Thunderstore.
The SS2 team is free to use any of the new code from this mod as long as this repo is allowed to stay up and credit is given.
 
### **If achievements aren't working, you can force unlock them in the config or with RealerCheatUnlocks.**

# Compatibility with Starstorm 2 Official

This mod can be used alongside the official version of Starstorm 2. Be sure to go through your configs to disable duplicated items and features.

## 6 New Survivors

| Icon | Name | Description |
|:--:|:--:|--|
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/portraitNemmando.png) | Nemesis Commando | The Nemesis Commando's origins are unknown, but something is clear: he's no longer who he once was. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/portraitExecutioner.png) | Executioner | The Executioner's goal is to spill as much blood as possible in the shortest amount of time. Bullets loaded, ion manipulators charged. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/portraitCyborg.png) | Cyborg | Technology was to reach its moral bounds when the Cyborg was created. It's hard to know how much humanity is left inside them. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/portraitChirr.png) | Chirr | Chirr is a mystical creature who holds a pure connection with the planet. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/portraitPyro.png) | Pyro | The Pyro will stop at nothing to burn down everything in sight. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/portraitNucleator.png) | Nucleator | The Nucleator is a radioactive juggernaut with rad-proof armor, which allows him to manipulate nuclear components for long periods of time. |
  
## 10 New Items

| Icon | Name | Description |
|:--:|:--:|--|
| Common | | |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemDetritiveTrematode.png) | Detritive Trematode | Enemies below **25% health** are infested for **100%** *(+100%)* base damage per second. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemDiary.png) | Diary | Increases **movement speed** by **10%** *(+10%)* and **armor** by **3** *(+3)*. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemFork.png) | Fork | Increases your base damage by **2.4** *(+2.4)*. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemMoltenCoin.png) | Molten Coin | **6%** chance to **ignite on hit** for **320%** *(+320%)* base damage and earn **$1**. Scales with time. |
| Uncommon | | |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemStrangeCan.png) | Strange Can | **8.5%** *(+5%)* chance to **intoxicate** enemies, causing them to lose **2.5%** of their **current health** every second for **5s**. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemMetronome.png) | Watch Metronome | **Walking on the ground** charges the **speed of your next sprint** by up to **200%**. Decays over **4s** *(+2s)*. |
| Rare | | |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemDroidHead.png) | Droid Head | Killing elite monsters summons a **Strike Drone** with bonus **100% damage** *(+50%)* for **30s**. Limited to **4**. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemGreenChocolate.png) | Green Chocolate | When receiving **20%** or more of your **max health** as damage, any damage over the threshold is **reduced by 50%**. Gain **50% damage** for **7s** when triggering this effect, stacks up to **1** *(+1)* time. |
| Equipment | | |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/equipCloakingHeadband.png) | Cloaking Headband | Become **invisible** for 10 seconds. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/equipGreaterWarbanner.png) | Greater Warbanner | Place a greater warbanner which strengthens all allies within **25m**. Raises **critical chance** by **25%**. Every second, **reduces skill cooldowns by 0.5s** and **heals** for **2.5%** of your **health**. Only **1** banner may be active at a time. |

## Disabled Items
Can be re-enabled in config.
<details>

| Icon | Name | Description |
|:--:|:--:|--|
| Common | | |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemCoffeeBag.png) | Coffee Bag | Increases **movement speed** by **7%** *(+7%)* and **attack speed** by **7.5%** *(+7.5%)*. Disabled due to being officially implemented as **Mocha**. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemDungus.png) | Dormant Fungus | Heals for **1.2%** *(+0.6%)* of your **health** every second **while sprinting**. Disabled due to being officially implemented as **Weeping Fungus**. |
| Rare | | |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemErraticGadget.png) | Erratic Gadget | Gain **10% critical chance**. **Critical strikes** hit an additional time for **50%** *(+50%)* TOTAL damage. Disabled due to being similar to **Laser Scope**, same damage boost but applied in a different way. |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemNkota.png) | Nkota's Heritage | **Receive an item** on **level up** or starting the **Teleporter event**. Rerolls for a higher item tier **0** *(+1)* times. **Unaffected by luck**. |
| Lunar | | |
| ![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/itemMass.png) | Relic of Mass | **Increase maximum health** by **100%** *(+100%)*. **Reduce acceleration and deceleration** by a factor of **8** *(+8)*. Disabled due to being similar to **Stone Flux Pauldron**, though the movement penalty works very differently. |

</details>

## Storm Events

At certain intervals, it begins to rain on the planet, sending monsters into a frenzy.
 
## Nemesis Invasion

![](https://raw.githubusercontent.com/Moffein/Starstorm2Unofficial/main/README%20Images/screenshotNemesis.jpg)

Clearing the Void Fields will trigger a series of Nemesis Survivor bossfights that drop powerful items.

**Compatible with Enforcer and Starstorm 2 Official!**

## Credits

* Current Developer - Moffein
* Code - Anreol, Flan, Gaforb, KevinFromHPCustomerService, Nebby, rob, swuff★, sebacame, Shared, TheTimesweeper, Vale-X, xpcybic, Xubas
* Art/Modelling/Animation - Anreol, Bolty, bruh, Cexeub, Draymarc, JestAnotherAnimator, Gem, LucidInceptor, KevinFromHPCustomerService, Plexus, PapaZach, QuietAnon, redacted, rob, SOM, Spenny, swuff★, xpcybic, Reithierion, UnknownGlaze, Spanish Space Inquisition
* Writing - Blimblam, Lyrical Endymion, swuff★, QandQuestion, T_Dimensional
* Translations - Anreol (Spanish), MysticSword (Russian)
* Sound - KevinFromHPCustomerService, Neik, SOM, UnknownGlaze
* Additional support/special thanks - Altzeus, DestroyedClone, don, Draymarc, Gnome, JesusPxP, KomradeSpectre, MinimalEffort, Moshinate, MysticSword, Neik, Riskka, Ruxbieno, Shooty, Twiner